Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1389 - Function keys and backspace don't work correctly.
Summary: Function keys and backspace don't work correctly.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mc
Version: 5.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-01 19:08 UTC by Edward Rudd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-02 22:27:16 UTC


Attachments (Terms of Use)

Description Edward Rudd 1999-03-01 19:08:43 UTC
The shift-function keys for MC in the console are not mapped
correctly in the keyboard map or something.  If I press
shift-f3 (raw view) it really send shift-f5 to the
program!!! I have to press shift-F1 to get the shift-f3
result.  This problem doesnot occur in X.

The other problem is that the backspace/delete keys don't
work correctly in X for MC.  They always end up being the
same thing.  However in console they work perfectly.

I have tried to remap the keys with MC's learn keys command
but with no success.  I did have this problem on Slackware
after I had installed Linuxconf.  but I fixed once I
configured the us keyboard map into linuxconf instead of
none.  On redhat the keyboard map is already loading
correctly though.   I have had this problem on both redhat
5.1 and 5.2.


Note You need to log in before you can comment on or make changes to this bug.